* Tue Dec 18 2012 Mikhail Fedotov <anyremote at mail.ru> - 6.2
- Use $(TmpDir) in configuration files to store temporary file. 
  Use $(WaitSecons) variable to kill neverending scripts. 
  Use allowed_hosts file and $(AllowedOnly) variable to access control. 
  Avoided to use bash in favour of sh in configuration files.
  Support mutliple inheritance for modes. Configuration file for Foobnix was 
  added. Majority of audio player configuration files were reworked.

* Mon Oct 08 2012 Mikhail Fedotov <anyremote at mail.ru> - 6.1
- Support of XML services interface. Support Set(vibrate,duration) command. 
  Add possibility to disable GLIB usage (for OpenWRT build).
  Major code restructurization.

* Thu May 17 2012 Mikhail Fedotov <anyremote at mail.ru> - 6.0
- Support of build-in web server, no anyremote2html package needed anymore.
  Commands Set(parameter,icon_size|icon_padding,...) and 
  Get(icon_size|icon_padding) were added, command Set(skin,...,split,sizeXX...) 
  and Set(parameter,lazy_repaint) were removed. Lot of configuration files were 
  updated.

* Thu Jan 05 2012 Mikhail Fedotov <anyremote at mail.ru> - 5.5
- Use popen() for get command results. Configuration file for guayadeque 
  (thanks to Fabian Frank) was added, support inheritance in mode definition, 
  add Set(popup,...) command, drop support of Set(text,wrap,..) command.
  Some configuration files reorganization.

* Sun Sep 4 2011 Mikhail Fedotov <anyremote at mail.ru> - 5.4.2
- Configuration file for Clementine (thanks to Lorenzo Pérez de Arce) and 
  DeadBeef (thanks to s_erge) were added.

* Tue Mar 15 2011 Mikhail Fedotov <anyremote at mail.ru> - 5.4.1
- Small bugfix. Configuration file for CMUS (thanks to Arthus Belliqueux) was 
  added.

* Sat Feb 12 2011 Mikhail Fedotov <anyremote at mail.ru> - 5.4
- Fix work in AT-mode with Bluez 4.X

* Tue Oct 19 2010 Mikhail Fedotov <anyremote at mail.ru> - 5.3
- Support volume control through PulseAudio. Added configuration files for Miro
  player, MPRIS-compatible players. Some fixes in configuration files. 

* Wed Aug 25 2010 Mikhail Fedotov <anyremote at mail.ru> - 5.2
- Enhanced support for Get(password) command. Properly handle ampersand in file
  names.

* Thu Jul 8 2010 Mikhail Fedotov <anyremote at mail.ru> - 5.1.3
- Some configuration files and documentation were corrected.
  Added configuration file for QMMP. 

* Sat Mar 13 2010 Mikhail Fedotov <anyremote at mail.ru> - 5.1.2
- Some configuration files and documentation were corrected.

* Wed Feb 03 2010 Mikhail Fedotov <anyremote at mail.ru> - 5.1.1
- Fixed Red Hat bugzilla bug 560182. Some configuration files and documentation
  were corrected.

* Mon Jan 04 2010 Mikhail Fedotov <anyremote at mail.ru> - 5.1
- Better support of Command Fusion's iViewer, tested on iPod Touch.
  Exclude keyjnote, kpdf, kuickshow, kview, noatun and KDE3-related 
  configuration files from the release. Added configuration file for Dragon 
  player. Add KDE4 support in Kaffeine configuration file.

* Mon Sep 14 2009 Mikhail Fedotov <anyremote at mail.ru> - 5.0
- anyRemote was rewritten using multithreading and GLib.
  Native D-BUS support. Format of configuration file was significantly changed.

* Mon Mar 30 2009 Mikhail Fedotov <anyremote at mail.ru> - 4.18.1-1
- Add GuiAppModes tag to configuration files.

* Tue Mar 17 2009 Mikhail Fedotov <anyremote at mail.ru> - 4.18-1
- Get(password) and Get(ping) commands were added.
  Experimental support for iPhones/iPods with Command Fusion iViewer installed.

* Wed Feb 4 2009 Mikhail Fedotov <anyremote at mail.ru> - 4.17-1
- Fixed crash with all-in-one2.cfg. Added configuration files for Impressive
  (former KeyJnote, thanks to Cedric Barboiron).

* Tue Jan 27 2009 Mikhail Fedotov <anyremote at mail.ru> - 4.16-1
- Add possibility to set SDP service name. Corrections of configuration files.
  Configuration files for KsCD/KDE4 and Eye-of-Gnome were added.
  Created icon auto-upload feature.

* Fri Jan 16 2009 Mikhail Fedotov <anyremote at mail.ru> - 4.15-1
- Fixed crash issue in case of anyremote was runned without X.
  Fix hang in Load() command in case of empty file.

* Sat Jan 10 2009 Mikhail Fedotov <anyremote at mail.ru> - 4.14-1
- Small corrections in configuration files. Configuration files for AlsaPlayer, 
  Digikam (thanks to Marcus Hardt) and GPicView were added. 
  Syntax of Emulate() command was extended.

* Sat Dec 07 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.13-1
- Small corrections in configuration files. Configuration file for WmCtrl and 
  Juk/KDE4 were added.

* Thu Nov 13 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.12-1
- Added configuration file for XBMC (thanks to Everthon Valadao), Okular 
  Gwenview/KDE4 and Amarok2/KDE4. Support non-UTF8 encodings in 
  configurational files. Intergrated FreeBSD patch by Alex Samorukov.

* Mon Oct 20 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.11-1
- Fixed issues with non-correct handling of files and directories names with 
  braces and brackets in some configuration files. 
  Several small changes in code.
  
* Mon Oct 6 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.10-1
- Fixed issue with non-correct handling of files and directories names with 
  braces and brackets in some configuration files. A lot of changes in 
  documentation. Several small changes in code.

* Mon Sep 29 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.9-1
- Get(version) command was introduced. Added possibility to create 
  user-specific phone initialization.

* Tue Sep 9 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.8.1-1
- Small corrections.

* Thu Sep 4 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.8-1
- Added configuration file for gThumb (thanks to Adriaan van Kekem)
  Added GuiDescription field to configuration files.

* Thu Aug 7 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.7.1-1
- Fix crash issue if no bluetooth service runned

* Tue Aug 5 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.7-1
- Updates of configuration file for DVB-T viewing by Kaffeine (thanks to 
  Johann Bauer), configuration files for Keyjnote (thanks to Gabriel) and 
  Evince were added.

* Fri May 30 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.6-1
- Small enhancements. configuration file for kaffeine (thanks to Massimo 
  Robbiati) was added.

* Sun May 18 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.5-1
- Configuration files for DVB-T viewing by Kaffeine (thanks to Johann Bauer) 
  Kmid, Smplayer, Decibel-audio-player, amarok (v3) (thanks to Carlos Sánchez 
  Mateo) were added. anyRemote was tested with Motorola-KRZR-K1
  Better integration with anyremote2http - "-http" command line parameter was 
  added.

* Tue Mar 07 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.4-1.fc8
- Spec file correction. Configuration file for GnomeRadio was added. Some minor
  enhancements. Move J2ME part to the separate package because of licensing 
  issues. anyRemote was tested with Sagem-my501c

* Mon Feb 15 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.3-1.fc8
- Enhanced Set(... font ...) commands. Enhanced Bemused clients support: 
  playlist operation supported whenever possible. Added configurational file 
  for Mpd in Bemused-emulation mode. Anyremote was tested with SE-W950i. 
  Support for touchscreen devices was improved.

* Fri Jan 10 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.2-1.fc8
- anyRemote was tested with Motorola-RIZR-Z3
  Command RemoteOn, RemoteOff, TempDisconnect were deprecated. Commands 
  Make(...), Emulate(...) were introduced. Xautomation dependency is deprecated
  (XTest support is build-in).

* Mon Jan 07 2008  Mikhail Fedotov <anyremote at mail.ru> - 4.1
- anyRemote was tested (without success) with Samsung-SGH-X820
  anyRemote was tested with Samsung-SGH-U600 (thanks to Pierre Dumot) 
  Command Flush(all) and Set(cover, ...) were introduced.
  Syntax of Timer() command was changed. CancelTimer() command was deprecated.

* Sat Dec 15 2007 Mikhail Fedotov <anyremote at mail.ru> - 4.0
- Configuration files for xmms2 (thanks to Gyuris Szabolcs), Comix, Elisa and 
  Xfmedia were added. Configuration files for Digikam, KMplayer and Twinkle 
  were removed. A lot of corrections in configuration files.
  Now anyRemote could work with some IR remote controls supplied with TV tuner
  cards. Anyremote was tested with Nokia-6288, Nokia-6111 in server mode throgh 
  IR connection and with IR remote from AverMedia Studio 507. 
  Actually this is the first release which is possible to work somehow in 
  server mode with non-JSR-82 compatible phones.

* xxx xxx xx 200x Mikhail Fedotov <anyremote at mail.ru> - 3.6
- Support for touchscreen devices was added in java client. 
  anyRemote was tested with Motorola-A1200 (thanks to Sebastian Turzanski)
  Motorola-K1 patch by Kevin Fox was integrated.
  Configuration file for digikam was corrected.

* xxx xxx xx 200x Mikhail Fedotov <anyremote at mail.ru> - 3.5
- Small enhancements. Command Get(is_exists,...) was added. 
  Configuration files for Gmusicbrowser and Moc were added. Configuration file 
  for Kopete was modified to work correctly with kopete-anyremote-0.4.

* xxx xxx xx 200x Mikhail Fedotov <anyremote at mail.ru> - 3.4
- Small enhancements.

* xxx xxx xx 200x Mikhail Fedotov <anyremote at mail.ru> - 3.3
- Small enhancements. Command Set(disconnect) was introduced. Fixed build 
  issue in Gentoo.

* xxx xxx xx 200x Mikhail Fedotov <anyremote at mail.ru> - 3.2
- Configurationfile for xine (new version) and MythTv (thanks to Tim Hicks) 
  were added. cfg-examples directory was renamed to cfg-data. *.spec file was 
  changed: solid rpm was separated into 3 RPM's. Lot of bugfixes and small 
  enhancemens.

* xxx xxx xx 200x Mikhail Fedotov <anyremote at mail.ru> - 3.1
- New command Get(screen_size|model) was introduced. Set(image...) command 
  was enhanced. In AT-mode nothing will be sent to phone after RemoteOff 
  command. Java client was corrected to work properly with Nokia-E70.
  Configuration file for Mplayer, Quodlibet, VLC and Nokia-E70 were added. 
  A lot of bugfixes.

Difference beetween 3.0 and 2.12
--------------------------------------------------------------------------------
New command Set(image,...) was introduced. It allows to transfer to phone images 
and then show them on the screen. According to this feature communication 
protocol was slightly changed. Communication code in java client was reworked 
completely. configurationfile for Kpdf, Listen and Open Office Impress were 
added. Since this versions all temporary and log files will be created in 
$HOME/.anyRemote instead of /tmp.

Difference beetween 2.12 and 2.11
--------------------------------------------------------------------------------
configurationfile for Aqualung was added. anyRemote was tested over Wi-Fi 
connection between Nokia-E61 and PC. Java client starts to support CDLC-1.0 
phones. A lot of bugs were fixed.

Difference beetween 2.11 and 2.10
--------------------------------------------------------------------------------
Java client was tested on Motorola-V3i and Nokia-E61. 
Set(iconlist,...) command was introduced. Added possibility to use 16x16 or 
32x32 png icons. Configurationfile for Kopete was added. A lot of bugfixes and 
enhancements.

Difference beetween 2.10 and 2.9
--------------------------------------------------------------------------------
Java client was tested on Motorola-L6 and Siemens-S65. New capability to work as 
back-end with separated GUI front-endswas introduced. New commands 
Set(parameter,...) and Set(repaint) was introduced. Command Set(debug,...) was 
changed to Set(parameter,debug,...). A lot of bugs were fixed. Configuration 
file for Exaile was added.

Difference beetween 2.9 and 2.8
--------------------------------------------------------------------------------
New commands Include(...) and ExecAndSet(upload,...) were introduced. Now it is 
possible to upload icons to Java Client. configurationfiles for Audacious, 
Banshee, BMP, Freevo, JuK, MPD, Totem, custom made RSS reader and configuration 
file for icon uploading were added.

Difference beetween 2.8 and 2.7
--------------------------------------------------------------------------------
New commands Load(...) and Set(list,select,...) were introduced.
configurationfiles for KdeTv, Gwenview, Rhythmbox, XdTV were added.

Difference beetween 2.7 and 2.6
--------------------------------------------------------------------------------
New command Macro() was introduced. Command Set(list,menu...) was changed to 
Set(menu...). It is possible to add custom menu to any screen of Java Client. 
It is possible to select several files in file manager screen of Java Client.
Several little enhancements and bugfixes.
v2.7.1 differs from v2.7 only by updated Java Client 

Difference beetween 2.6 and 2.5
--------------------------------------------------------------------------------
Several enhancements and serious bugfixes. Set(volume,X) command was introduced 
to show volume bar.

Difference beetween 2.5 and 2.4
--------------------------------------------------------------------------------
File manager which looks like MC was added to Java Client.
Several enhancements and bugfixes. Xine management example was added.

Difference beetween 2.4 and 2.3
--------------------------------------------------------------------------------
Maintenance release. Java Client was tested with Nokia-6021

Difference beetween 2.3 and 2.2
--------------------------------------------------------------------------------
Enhancemens were made mainly in Java Client. Now it supports: different icon 
layouts, it can be configured to run in fullscreen mode. Exception handling 
improved and lots of bugs were fixed. 

Difference beetween 2.2 and 2.1
--------------------------------------------------------------------------------
Look and feel of GUI of Java Client was redesigned. Now it is possible to change 
colors and font size. Choose actions possible not only by numeric key but also 
by joystick. Support of lists was added  (now anyRemote can be configured to 
support playlists)

Difference beetween 2.1 and 2.0
--------------------------------------------------------------------------------
Bugfixes and small enhancements. (EnterMode) and (ExitMode) event handlers were 
added. Set(text,...) command was added.

Difference beetween 2.0 and 1.4
--------------------------------------------------------------------------------
This release is the first step to create application which could provide
"bemused-like" functionality.
Format of configurational file was changed completely.
Now anyRemote could works as server (like bemused).
Java client was created for JSR82-compatible phones.

Difference beetween 1.4 and 1.3
--------------------------------------------------------------------------------
Concept of key "alias" was introduced.
Tool was tested on Siemens-S55. A lot of bugfixes.

Difference beetween 1.3 and 1.2
--------------------------------------------------------------------------------
Concepts of "mode" was introduced to make possible to set more than one command 
to the key. Tool was tested on SE-K750 (BT&IR).
Some bug was fixed and some code was cleaned up.
digikam and kmplayer, kuickshow and web-stream and "mega-example" all-in-one 
examples were addded.

Difference beetween 1.2 and 1.1
--------------------------------------------------------------------------------
It is possible substuitute current time into command handlers.
Two new handlers for connect and disconnect event were added.
"Greeting" configuration option was deleted in favour of new connect handler.
Anyremote was tested with Motorola-V500 with cable connection.
kview, tvtime and keyboard emulaton examples was added.

Difference beetween 1.1 and 1.0
--------------------------------------------------------------------------------
SonyEricsson-K700-related patches included. Added 2 examples of conf.files (For 
Sagem and for SE). Daemon configuration option was changed to AutoConnect.
Kplayer, KsCd, Noatun, Twinkle examples were added.

Difference beetween 1.0 and 0.9
--------------------------------------------------------------------------------
Sagem-related patches included. Now AnyRemote accept empty +CKEV input also 
(+CKEV: ,1).

Difference beetween 0.9 and 0.8
--------------------------------------------------------------------------------
Auto-detect phone model. CmerOn/CmerOff conf. parameters are not mandatory now.


Difference beetween 0.8 and 0.7
--------------------------------------------------------------------------------
Auto-muting feature during incoming call.
Switch remote control functionality on/off without disconnect.


Difference beetween 0.7 and 0.5
--------------------------------------------------------------------------------
Handling incoming calls.
It is possible to set multikey command.
-h command line was option added.


Difference beetween 0.5 and 0.4
--------------------------------------------------------------------------------
Changed format of conf file. Docs corrected.


Difference beetween 0.4 and 0.3
--------------------------------------------------------------------------------
Greeting parameter added to configuration file.
Alarm feature added.

Correction of misprintings in README.
Examples of configuration files in directory cfg-examples were corrected.
